[arch-commits] Commit in xineramaproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:46:23 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:46:23
  Author: eric
Revision: 36399

upgpkg: xineramaproto 1.1.2-2
    Added license

Modified:
  xineramaproto/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-22 01:45:01 UTC (rev 36398)
+++ PKGBUILD	2009-04-22 01:46:23 UTC (rev 36399)
@@ -3,17 +3,19 @@
 
 pkgname=xineramaproto
 pkgver=1.1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Xinerama extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('1cc292c562962ad0ad3a253cae68c632')
 sha1sums=('d09ef306ffc0d058120051d88dd64776fd0de0d5')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list